// @flow
import React from "react"
import ReactDOMServer from "react-dom/server"
import PropTypes from "prop-types"

class HTML extends React.Component {
	render() {
		const { title } = this.props
		const childNodes = this.props.children
		const children = Array.isArray(childNodes) ? childNodes : [childNodes]
		const childrenHTML = children.reduce((i, child) => i + ReactDOMServer.renderToString(child), "")
		return (
			<html lang="en">
				<head>
					<title>{ title }</title>
				</head>
				<body>
					<div
						id="app"
						dangerouslySetInnerHTML={{ __html: childrenHTML }}
					/>
				<script defer src="/assets/manifest.js" />
				<script defer src="/assets/vendor.js" />
				<script defer src="/assets/client.js" />
				</body>
			</html>
		)
	}
}

HTML.propTypes = {
	title: PropTypes.string.isRequired,
}

export default HTML

