// @flow

// React
import React from "./react"

// Webpack
import WebpackDev from "./webpack-dev"
import webpackConfig from "../../../webpack.config.js"


// GraphQL
import GraphQL from "./graphql"

import type {
	$Application,
} from "express"

function setupMiddleware(server: $Application) {
	WebpackDev(server, webpackConfig)

	server.use(GraphQL())

	server.use(React({
		match: (url, cb) => {
			if (url == "/horse") {
				return cb(null, "/horseys", null)
			}
			cb(null, null, {})
		}
	}))
}

export {
	setupMiddleware,
	React,
}

